http://guardduty.{region}.amazonaws.com/detector/{detectorId}/publishingDestinationCreates a publishing destination to export findings to. The resource to export findings to must exist before you use this operation.
The ID of the GuardDuty detector associated with the publishing destination.
The idempotency token for the request.
The type of resource for the publishing destination. Currently only Amazon S3 buckets are supported.
Contains the Amazon Resource Name (ARN) of the resource to publish to, such as an S3 bucket, and the ARN of the KMS key to use to encrypt published findings.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/publishingDestination' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://guardduty.{region}.amazonaws.com/detector/{detectorId}/publishingDestinationCreates a publishing destination to export findings to. The resource to export findings to must exist before you use this operation.
The ID of the GuardDuty detector associated with the publishing destination.
The idempotency token for the request.
The type of resource for the publishing destination. Currently only Amazon S3 buckets are supported.
Contains the Amazon Resource Name (ARN) of the resource to publish to, such as an S3 bucket, and the ARN of the KMS key to use to encrypt published findings.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/publishingDestination' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}